com.mapinfo.midev.language

## Interface ILanguageCapabilities

All Known Implementing Classes:
  AggregationCapabilities, FilterCapabilities

    public interface ILanguageCapabilities

Identifies the capabilities of a particular language implementation. A data provider may support a language without necessarily supporting every aspect of the language. Language capabilities are reported by data providers (tables and datasources) to indicate the features within a language that are supported by that data provider. For example, a data provider may support the Filter language without being able to evaluate the NearestFilter.

### Method Summary

All Methods Instance Methods Abstract Methods
`ILanguage` `getLanguage()` References the language these capabilities describe.

### Method Detail

#### getLanguage

    ILanguage getLanguage()

References the language these capabilities describe.

Returns:
  the language instance that these capabilities describe.